| the Apache XML site |

| Home |

| Community |

| Samples |

# DTD documentation

PDF

- Top-level element(s)
- List of elements
- Element declarations

### Top-level element(s)

- document
- faqs

### List of elements

- abstract
- acronym
- anchor
- answer
- authors
- body
- br
- caption
- code
- dd
- dl
- document
- dt
- em
- faq
- faqs
- figure
- fixme
- footer
- fork
- header
- icon
- img
- jump
- legal
- li
- link
- note
- notice
- ol
- p
- part
- person
- question
- section
- source
- strong
- sub
- subtitle
- sup
- table
- td
- th
- title
- tr
- type
- ul
- version
- warning

### Element declarations

####

person
Content model | EMPTY

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN
name |  | type: CDATA required attribute
email |  | type: CDATA required attribute

Used inside | authors

####

strong
Content model | ( #PCDATA | code ) *

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | link | jump | fork | p | source | note | warning | fixme | caption | th | td | li | dt | dd | title | subtitle | notice | abstract | legal | question

####

em
Content model | ( #PCDATA | code ) *

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | link | jump | fork | p | source | note | warning | fixme | caption | th | td | li | dt | dd | title | subtitle | notice | abstract | legal | question

####

code
Content model | ( #PCDATA )

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | strong | em | link | jump | fork | p | source | note | warning | fixme | caption | th | td | li | dt | dd | title | subtitle | notice | abstract | legal | question

####

sup
Content model | ( #PCDATA )

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | link | jump | fork | p | source | note | warning | fixme | caption | th | td | li | dt | dd | title | subtitle | notice | abstract | legal | question

####

sub
Content model | ( #PCDATA )

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | link | jump | fork | p | source | note | warning | fixme | caption | th | td | li | dt | dd | title | subtitle | notice | abstract | legal | question

####

link
Content model | ( #PCDATA | strong | em | code | sub | sup | br | img | icon | acronym ) *

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN
href |  | type: CDATA
role |  | type: CDATA
title |  | type: CDATA

Used inside | p | source | note | warning | fixme | caption | th | td | li | dt | dd | notice | abstract | legal | question

####

jump
Content model | ( #PCDATA | strong | em | code | sub | sup | br | img | icon | acronym ) *

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN
href |  | type: CDATA
role |  | type: CDATA
title |  | type: CDATA

Used inside | p | source | note | warning | fixme | caption | th | td | li | dt | dd | notice | abstract | legal | question

####

fork
Content model | ( #PCDATA | strong | em | code | sub | sup | br | img | icon | acronym ) *

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN
href |  | type: CDATA
role |  | type: CDATA
title |  | type: CDATA

Used inside | p | source | note | warning | fixme | caption | th | td | li | dt | dd | notice | abstract | legal | question

####

br
Content model | EMPTY

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | link | jump | fork | p | source | note | warning | fixme | caption | th | td | li | dt | dd | notice | abstract | legal | question

####

img
Content model | EMPTY

Attributes

src |  | type: CDATA required attribute
alt |  | type: CDATA required attribute
height |  | type: CDATA
width |  | type: CDATA
usemap |  | type: CDATA
ismap |  | possible values: ismap
id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | link | jump | fork | p | source | note | warning | fixme | caption | th | td | li | dt | dd | notice | abstract | legal | question

####

icon
Content model | EMPTY

Attributes

src |  | type: CDATA required attribute
alt |  | type: CDATA required attribute
height |  | type: CDATA
width |  | type: CDATA
id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | link | jump | fork | p | source | note | warning | fixme | caption | th | td | li | dt | dd | notice | abstract | legal | question

####

acronym
Content model | ( #PCDATA ) *

Attributes

title |  | type: CDATA required attribute
id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | link | jump | fork | p | source | note | warning | fixme | caption | th | td | li | dt | dd | notice | abstract | legal | question

####

p
Content model | ( #PCDATA | strong | em | code | sub | sup | br | img | icon | acronym | link | jump | fork ) *

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN
xml:space |  | possible values: default preserve

Used inside | body | section | answer

####

source
Content model | ( #PCDATA | strong | em | code | sub | sup | br | img | icon | acronym | link | jump | fork ) *

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN
xml:space |  | default value: preserve fixed value: preserve possible values: default preserve

Used inside | body | section | answer

####

note
Content model | ( #PCDATA | strong | em | code | sub | sup | br | img | icon | acronym | link | jump | fork ) *

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | body | section | answer

####

warning
Content model | ( #PCDATA | strong | em | code | sub | sup | br | img | icon | acronym | link | jump | fork ) *

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | body | section | answer

####

fixme
Content model | ( #PCDATA | strong | em | code | sub | sup | br | img | icon | acronym | link | jump | fork ) *

Attributes

author |  | type: CDATA required attribute
id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | body | section | answer

####

table
Content model | ( caption ? , tr + )

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | body | section | answer

####

caption
Content model | ( #PCDATA | strong | em | code | sub | sup | br | img | icon | acronym | link | jump | fork ) *

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | table

####

tr
Content model | ( th | td ) +

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | table

####

th
Content model | ( #PCDATA | strong | em | code | sub | sup | br | img | icon | acronym | link | jump | fork ) *

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN
colspan |  | type: CDATA default value: 1
rowspan |  | type: CDATA default value: 1

Used inside | tr

####

td
Content model | ( #PCDATA | strong | em | code | sub | sup | br | img | icon | acronym | link | jump | fork ) *

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN
colspan |  | type: CDATA default value: 1
rowspan |  | type: CDATA default value: 1

Used inside | tr

####

li
Content model | ( #PCDATA | strong | em | code | sub | sup | br | img | icon | acronym | link | jump | fork | ol | ul | dl ) *

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | ul | ol

####

ul
Content model | ( li | ol | ul | dl ) +

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN
spacing |  | possible values: normal compact

Used inside | li | ul | ol | body | section | answer

####

ol
Content model | ( li | ol | ul | dl ) +

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN
spacing |  | possible values: normal compact

Used inside | li | ul | ol | body | section | answer

####

dl
Content model | ( dt , dd ) +

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | li | ul | ol | body | section | answer

####

dt
Content model | ( #PCDATA | strong | em | code | sub | sup | br | img | icon | acronym | link | jump | fork ) *

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | dl

####

dd
Content model | ( #PCDATA | strong | em | code | sub | sup | br | img | icon | acronym | link | jump | fork ) *

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | dl

####

figure
Content model | EMPTY

Attributes

src |  | type: CDATA required attribute
alt |  | type: CDATA required attribute
height |  | type: CDATA
width |  | type: CDATA
usemap |  | type: CDATA
ismap |  | possible values: ismap
id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | body | section | answer

####

anchor
Content model | EMPTY

Attributes

id |  | type: ID required attribute
xml:lang |  | type: NMTOKEN

Used inside | body | section | answer

####

document
Content model | ( header , body , footer ? )

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

####

header
Content model | ( title , subtitle ? , version ? , type ? , authors ? , notice * , abstract ? )

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | document

####

title
Content model | ( #PCDATA | strong | em | code | sub | sup ) *

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | header | section | part

####

subtitle
Content model | ( #PCDATA | strong | em | code | sub | sup ) *

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | header

####

version
Content model | ( #PCDATA )

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN
major |  | type: CDATA
minor |  | type: CDATA
fix |  | type: CDATA
tag |  | type: CDATA

Used inside | header

####

type
Content model | ( #PCDATA )

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | header

####

authors
Content model | ( person + )

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | header | faqs

####

notice
Content model | ( #PCDATA | strong | em | code | sub | sup | br | img | icon | acronym | link | jump | fork ) *

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | header

####

abstract
Content model | ( #PCDATA | strong | em | code | sub | sup | br | img | icon | acronym | link | jump | fork ) *

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | header

####

body
Content model | ( section | p | source | note | warning | fixme | table | ol | ul | dl | figure | anchor ) +

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | document

####

section
Content model | ( title , ( section | p | source | note | warning | fixme | table | ol | ul | dl | figure | anchor ) * )

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | body | section

####

footer
Content model | ( legal )

Used inside | document

####

legal
Content model | ( #PCDATA | strong | em | code | sub | sup | br | img | icon | acronym | link | jump | fork ) *

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | footer

####

faqs
Content model | ( authors ? , ( faq | part ) + )

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN
title |  | type: CDATA required attribute

####

part
Content model | ( title , ( faq | part ) + )

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | faqs | part

####

faq
Content model | ( question , answer )

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | faqs | part

####

question
Content model | ( #PCDATA | strong | em | code | sub | sup | br | img | icon | acronym | link | jump | fork ) *

Attributes

id |  | type: ID
xml:lang |  | type: NMTOKEN

Used inside | faq

####

answer
Content model | ( p | source | note | warning | fixme | table | ol | ul | dl | figure | anchor ) *

Attributes

author |  | type: IDREF

Used inside | faq

Copyright © 2002-2003 The Apache Software Foundation. All rights reserved.